## ros-iron-topic-statistics-demo 0.27.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(topic_statistics_demo)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils)
find_package(sensor_msgs REQUIRED)
find_package(statistics_msgs REQUIRED)

include_directories(include)
# TODO(sloretz) stop exporting old-style CMake variables in the future
ament_export_include_directories("include/${PROJECT_NAME}")

add_executable(display_topic_statistics
  src/imu_talker_listener_nodes.cpp
  src/display_topic_statistics.cpp
  src/string_talker_listener_nodes.cpp
  src/topic_statistics_listener.cpp)
target_link_libraries(display_topic_statistics
  rclcpp::rclcpp
  rcutils::rcutils
  ${sensor_msgs_TARGETS}
  ${statistics_msgs_TARGETS})
install(TARGETS display_topic_statistics DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-topic-statistics-demo (0.27.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-topic-statistics-demo (0.27.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-topic-statistics-demo (0.26.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-topic-statistics-demo (0.25.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 16:00:00 -0000

ros-iron-topic-statistics-demo (0.24.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-topic-statistics-demo (0.24.0-1jammy) jammy; urgency=high

  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-topic-statistics-demo (0.23.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-topic-statistics-demo (0.22.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-topic-statistics-demo (0.21.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-topic-statistics-demo (0.20.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-topic-statistics-demo (0.20.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} (#548 <https://github.com/ros2/demos/issues/548>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-topic-statistics-demo (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-topic-statistics-demo (0.18.0-1jammy) jammy; urgency=high

  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-topic-statistics-demo (0.17.0-1jammy) jammy; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-iron-topic-statistics-demo (0.16.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-iron-topic-statistics-demo (0.15.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 May 2021 16:00:00 -0000

ros-iron-topic-statistics-demo (0.14.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-topic-statistics-demo (0.14.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 18 Apr 2021 16:00:00 -0000

ros-iron-topic-statistics-demo (0.14.0-1jammy) jammy; urgency=high

  * Change index.ros.org -> docs.ros.org. (#496 <https://github.com/ros2/demos/issues/496>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-topic-statistics-demo (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-iron-topic-statistics-demo (0.12.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-topic-statistics-demo (0.12.0-1jammy) jammy; urgency=high

  * Update logging macros (#476 <https://github.com/ros2/demos/issues/476>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-topic-statistics-demo (0.11.0-1jammy) jammy; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-iron-topic-statistics-demo (0.10.1-1jammy) jammy; urgency=high

  * Create new topic statistics demo package (#454 <https://github.com/ros2/demos/issues/454>)
  * Contributors: Prajakta Gokhale

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

=== debian/control ===
Source: ros-iron-topic-statistics-demo
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-rcutils, ros-iron-sensor-msgs, ros-iron-statistics-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-topic-statistics-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-rcutils, ros-iron-sensor-msgs, ros-iron-statistics-msgs, ros-iron-ros-workspace
Description: C++ demo application for topic statistics feature.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-topic-statistics-demo//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
